function [Gammas] = Gamma_Setup(Nrings,dfactor)

mags = linspace(1/Nrings,0.9999,Nrings);

Gammas = (0);

for ring = 1:Nrings
    Nangles = ceil(mags(ring)*dfactor);
    angles = linspace(0,2*pi-2*pi/Nangles,Nangles);
    for angle = 1:Nangles
        Gammas(end+1) = mags(ring)*exp(1i*angles(angle));
    end
end


end