close all
clear all
clc

F_1H = 200e6;
F_23Na = 53e6;
Zcoil_1H = 4 + 1i*126;
Zcoil_23Na = 0.1 + 1i*37;

% calculated individual NF and Decoupling
Rf = 100; % resistor values
Rg = 10;
Z_original = 126.3+1i*139.4; % ideal source Z for OPA
Z_Cap = 1/(1i*2*pi*F_1H*4.8e-12); %input parasitc cap
R_withCap = 1 ./ ( (1./Z_original) + (1./Z_Cap) );
Rs = real( R_withCap ); %
[NFs] = NF_Calculation_LMH6629_NonInverting(Rf,Rg,Rs);
NF_1H_OPA = NFs

Z_original = 169.69+1i*61.5; % ideal source Z for OPA
Z_Cap = 1/(1i*2*pi*F_23Na*4.8e-12); %input parasitc cap
R_withCap = 1 ./ ( (1./Z_original) + (1./Z_Cap) );
Rs = real( R_withCap ); %
[NFs] = NF_Calculation_LMH6629_NonInverting(Rf,Rg,Rs);
NF_23_OPA = NFs


%% Calculate Decoupling for 1H
Decoupling_1H = Decoupling_Calculation(Zcoil_1H,14.8-1i*118.2)

%% Calculate Decoupling for 23Na
Decoupling_23Na = Decoupling_Calculation(Zcoil_23Na,1.04-1i*31.07)