function [Z_out] = Matching( Freq, Z_in,Components_Matrix)

[row,column] = size(Components_Matrix);

Z_out = Z_in; % Orgininal Value
for i = 1:row
    if Components_Matrix(i,2) == 0
        % 0 for L
        Z_component = 1i*2*pi*Freq * Components_Matrix(i,1);
    elseif Components_Matrix(i,2) == 1
        % 1 for C
        Z_component = 1./1i*2*pi*Freq * Components_Matrix(i,1);
    end
    
    if Components_Matrix(i,3) == 0
        % 0 for series
        Z_out = Z_out + Z_component;
    elseif Components_Matrix(i,3) == 1
        % 1 for Parallel
        Z_out = 1 ./ ( (1./Z_out) + (1./Z_component) );
    end    
end



end