function [RawS21,S11,S22,S21,S12] = Read_Sparameter(suffix) 
% S-para have be measured in linear |Gamma|/Phase mode#2
% saved as CSV file directly from VNA.

T_11 = readtable(['S11_', suffix,'.csv'], 'HeaderLines',1);
T_11 = T_11{:,:};
Gammas_Sp(:,1) = T_11(:,2) .* exp(1i*T_11(:,3)*pi/180) ;

T_22 = readtable(['S22_', suffix,'.csv'], 'HeaderLines',1);
T_22 = T_22{:,:};
Gammas_Sp(:,2) = T_22(:,2) .* exp(1i*T_22(:,3)*pi/180) ;

T_21 = readtable(['S21_', suffix,'.csv'], 'HeaderLines',1);
T_21 = T_21{:,:};
Gammas_Sp(:,3) = T_21(:,2) .* exp(1i*T_21(:,3)*pi/180) ;

T_12 = readtable(['S12_', suffix,'.csv'], 'HeaderLines',1);
T_12 = T_12{:,:};
Gammas_Sp(:,4) = T_12(:,2) .* exp(1i*T_12(:,3)*pi/180) ;

S11 = Gammas_Sp(:,1);
S22 = Gammas_Sp(:,2);
S21 = Gammas_Sp(:,3);
S12 = Gammas_Sp(:,4);

RawS21 = T_21(:,2);
end