function [] = SmithPlot(Gammas,Data,Cres,Dmax,Dmin,ThreFlag,markersize)

% Set up color scale
% Cres = 256;
% map = flipud( parula(Cres) );
map = ( parula(Cres) );
% Dmax = 5;
% Dmin = 0;
% Thresholding data to maximum value
if ThreFlag == "Higher"
    Above = Data >Dmax;% don't see value above threshold
    Data = (1-Above).* Data + Above.*(Dmax);
    Color_Index = ceil( rescale(Data, 1 , 256) );
elseif ThreFlag == "Lower"
    Below = Data <Dmin;
    Data = (1-Below).* Data + Below.*(Dmin); 
    Color_Index = ceil( rescale(Data, 1 , 256) );
elseif ThreFlag == "None"
    Data = Data;
    Color_Index = ceil( rescale(Data, 1 , 256) );
elseif ThreFlag == "2color"
    Above = Data >Dmax;
    Below = Data <= Dmax;
    Color_Index = Above*Cres + Below*1;
elseif ThreFlag == "2color_Flag"
    Above = Data;
    Below = ~Data;
    Color_Index = Above*Cres + Below*1;
end


[lines, hsm] = smithchart();
hold on
for i = 1:size(Gammas,2)% fliplr(1:size(Gammas,2))
    if i==950
        stophere=1;
    end
    [lines, hsm] = smithchart(Gammas(i));
    set(lines,'Marker', 'o','MarkerSize',markersize)
    set(lines,'Color', map(Color_Index(i),:),'MarkerSize',markersize);
    set(lines, 'MarkerFaceColor', get(lines,'Color')); 
%     set(lines,'Color', ThreshNF(NFs(i)));
end
hold off



end