function [Ds] = Decoupling_Calculation(Zcoil,Gammas)

Zconv = conj(Zcoil);
Iconv = 1/(Zcoil + Zconv);

% Calculate decoupling
Zc = gamma2z(Gammas);

% Zs = 50^2./Zs;

Is = 1./(Zcoil + Zc);
Ds = 20*log10(abs(Is)/Iconv);

end